function init_coorddisp
%
% 060227 smw modified for v1.60
%
% 060612 smw v1.61
%
% Do not modify the following line, maintained by CVS
% $Id: init_coorddisp.m,v 1.2 2006/10/05 23:14:53 msoldevilla Exp $

global PARAMS HANDLES

% location and size of time, freq/amp, start time, dur info
y = 0.800;
y2 = 0.725;
y3 = 0.1;
x = [0.0 0.125 0.25 0.375 0.5 0.625 0.75 0.875];
w = 0.125;
h = 0.075;

%
bgColor1 = [1 1 1]; % white
bgColor2 = [.875 1 .875]; % light green for LTSA
bgColor3 = [.75 .875 1]; % light blue for XWAV

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Message Window
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
%***********************************
% Message Text Listbox
%***********************************
lStr(1) = {['Triton ',PARAMS.ver]};
lStr(2) = {'messages displayed here' };
btnPos=[0.025 0.025 0.95 0.325 ];
HANDLES.msg = uicontrol(HANDLES.fig.msg,...
   'Style','listbox',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor1,...
   'String',lStr,...
   'FontUnits','normalized', ...
    'Max',3,...
     'Min',1,...
   'Visible','on');
%
%***********************************
% Pickxyz edit text box
%***********************************
lStr(1) = {'Pickxyz''s'};
lStr(2) = {'displayed here' };
btnPos=[0.025 0.375 0.95 0.325];
HANDLES.pick.disp = uicontrol(HANDLES.fig.msg,...
   'Style','edit',...
   'Units','normalized',...
   'Position',btnPos,...
   'HorizontalAlignment','left',...
   'BackgroundColor',bgColor1,...
   'String',lStr,...
   'FontUnits','normalized', ...
    'Max',3,...
     'Min',1,...
   'Visible','off');

%*********************************
% Pickxyz toggle radio button setup
%*********************************
labelStr='Pickxyz';
btnPos=[0.025 0.925 2*w h];
HANDLES.pick.button = uicontrol(HANDLES.fig.msg, ...
    'Style','radiobutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'BackgroundColor',bgColor1,...
    'String',labelStr, ...
    'FontUnits','normalized', ...
    'Visible','off',...
    'Value',PARAMS.pick.button.value,...
    'Callback','pickxyz'); 



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%  LTSA
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% coordinate display
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%***********************************
% Background Display
%*********************************** 
labelStr=' ';
btnPos=[x(1) y2 8*w 2*h];
HANDLES.ltsa.coord.bg = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor2,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'Visible','off');
%***********************************
% Display Mouse X label
%***********************************
labelStr='mm/dd/yyyy';
btnPos=[x(1) y 2*w h];
HANDLES.ltsa.coord.lbl1 = uicontrol(HANDLES.fig.msg,...
   'Style','text',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor2,...
   'String',labelStr,...
   'FontUnits','normalized', ...
   'Visible','off');
%***********************************
% Display Mouse X label
%***********************************
labelStr='HH:MM:SS';
btnPos=[x(1) y2 2*w h];
HANDLES.ltsa.coord.lbl1b = uicontrol(HANDLES.fig.msg,...
   'Style','text',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor2,...
   'String',labelStr,...
   'FontUnits','normalized', ...
   'Visible','off');
%***********************************
% Display Mouse X Coordinates 
%***********************************
labelStr='0';
btnPos=[x(3) y 2*w h];
HANDLES.ltsa.coord.txt1 = uicontrol(HANDLES.fig.msg,...
   'Style','text',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor2,...
   'String',labelStr,...
   'FontUnits','normalized', ...
   'HorizontalAlignment','left',...
   'Visible','off');
%***********************************
% Display Mouse X Coordinates 
%***********************************
labelStr='0';
btnPos=[x(3) y2 2*w h];
HANDLES.ltsa.coord.txt1b = uicontrol(HANDLES.fig.msg,...
   'Style','text',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor2,...
   'String',labelStr,...
   'FontUnits','normalized', ...
   'HorizontalAlignment','left',...
   'Visible','off');
%***********************************
% Display Mouse Y label 
%***********************************
lStr(1) = {'Freq'};
lStr(2) = {'[Hz]'};
btnPos=[x(5) y2 w 2*h];
HANDLES.ltsa.coord.lbl2 = uicontrol(HANDLES.fig.msg,...
   'Style','text',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor2,...
   'String',lStr,...
   'FontUnits','normalized', ...
   'Visible','off');
%***********************************
% Display Mouse Y Coordinates 
%***********************************
labelStr='0';
btnPos=[x(6) y w h];
HANDLES.ltsa.coord.txt2 = uicontrol(HANDLES.fig.msg,...
   'Style','text',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor2,...
   'String',labelStr,...
   'FontUnits','normalized', ...
   'Visible','off');
%***********************************
% Display Mouse Z label 
%***********************************
lStr(1) = {'S Level'};
lStr(2) = {'[dB]'};;
btnPos=[x(7) y2 w 2*h];
HANDLES.ltsa.coord.lbl3 = uicontrol(HANDLES.fig.msg,...
   'Style','text',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor2,...
   'String',lStr,...
   'FontUnits','normalized', ...
   'Visible','off');
%***********************************
% Display Mouse Z Coordinates 
%***********************************
labelStr='0';
btnPos=[x(8) y w h];
HANDLES.ltsa.coord.txt3 = uicontrol(HANDLES.fig.msg,...
   'Style','text',...
   'Units','normalized',...
   'Position',btnPos,...
   'BackgroundColor',bgColor2,...
   'String',labelStr,...
   'FontUnits','normalized', ...
   'Visible','off');

HANDLES.ltsa.coorddisp = ...
    [HANDLES.ltsa.coord.bg HANDLES.ltsa.coord.lbl1 HANDLES.ltsa.coord.txt1 ...
    HANDLES.ltsa.coord.lbl1b HANDLES.ltsa.coord.txt1b ...
        HANDLES.ltsa.coord.lbl2 HANDLES.ltsa.coord.txt2 ...
        HANDLES.ltsa.coord.lbl3 HANDLES.ltsa.coord.txt3];
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
% XWAV
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% coordinate display - note: coordinates now are displayed in plot window
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%***********************************
% Background Display
%*********************************** 
labelStr=' ';
btnPos=[x(1) y2 8*w 2*h];
HANDLES.coord.bg = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'Visible','off');

%***********************************
% Display Mouse X label
%***********************************
labelStr='HH:MM:SS';
btnPos=[x(1) y 2*w h];
HANDLES.coord.lbl1 = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'Visible','off');
%***********************************
% Display Mouse X label
%***********************************
labelStr='mmm.uuu';
btnPos=[x(1) y2 2*w h];
HANDLES.coord.lbl1b = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'Visible','off');
%***********************************
% Display Mouse X Coordinates 
%***********************************
labelStr='0';
btnPos=[x(3) y 2*w h];
HANDLES.coord.txt1 = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'HorizontalAlignment','left',...
    'Visible','off');
%***********************************
% Display Mouse X Coordinates 
%***********************************
labelStr='0';
btnPos=[x(3) y2 2*w h];
HANDLES.coord.txt1b = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'HorizontalAlignment','left',...
    'Visible','off');

%***********************************
% Display Mouse Y label 
%***********************************
labelStr = 'Counts';
btnPos=[x(5) y2 w 2*h];
HANDLES.coord.lbl2 = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'Visible','off');
%***********************************
% Display Mouse Y Coordinates 
%***********************************
labelStr='0';
btnPos=[x(6) y w h];
HANDLES.coord.txt2 = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'HorizontalAlignment','left',...
    'Visible','off');
%***********************************
% Display Mouse Z label 
%***********************************
lStr(1) = {'S Level'};
lStr(2) = {'[dB]'};
btnPos=[x(7) y2 w 2*h];
HANDLES.coord.lbl3 = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',lStr,...
    'FontUnits','normalized', ...
    'Visible','off');
%***********************************
% Display Mouse Z Coordinates 
%***********************************
labelStr='0';
btnPos=[x(8) y w h];
HANDLES.coord.txt3 = uicontrol(HANDLES.fig.msg,...
    'Style','text',...
    'Units','normalized',...
    'Position',btnPos,...
    'BackgroundColor',bgColor3,...
    'String',labelStr,...
    'FontUnits','normalized', ...
    'Visible','off');

HANDLES.coorddisp = ...
    [HANDLES.coord.bg HANDLES.coord.lbl1 HANDLES.coord.txt1 ...
    HANDLES.coord.lbl1b HANDLES.coord.txt1b ...
        HANDLES.coord.lbl2 HANDLES.coord.txt2 ...
        HANDLES.coord.lbl3 HANDLES.coord.txt3];
