close all;

% Simluates performing the spectral analysis.  This wa
% taken from the silbido procesing.
if (~exist('spectrogram', 'var'))
    load('spectrogram.mat');
end


dims = size(spectrogram);

% This is the width for the guassian derivative function.
% this is what the Ridge Track used.
guassian_width = 5;

% At the moment this is the struct that will store the angles
% and some processing flags.
functionals = struct;
functionals.angles = zeros(dims);
functionals.processed = zeros(dims, 'uint8');
functionals.computed = zeros(dims, 'uint8');

% At the moment this holds the derivative infomration.  This
% is processed for the whole spectrogram at onece.  We possibly
% could do this lazily also.
derivatives = struct;
derivatives.gx=gfilter(spectrogram,guassian_width,[0 1]);
derivatives.gy=gfilter(spectrogram,guassian_width,[1 0]);
derivatives.gxx=gfilter(spectrogram,guassian_width,[0 2]);
derivatives.gyy=gfilter(spectrogram,guassian_width,[2 0]);
derivatives.gxy=gfilter(spectrogram,guassian_width,[2 2]);
derivatives.gyx=derivatives.gxy;

fHz = 5000:125:50000;
fkHz = fHz / 1000;

Fs = 192000;
Advance = 384;

frames_per_s = Fs/Advance;
Indices = spFrameIndices(dims(2) * Advance, dims(2), Advance, dims(2), frames_per_s,0);

figure('Name', '1st & 2nd derivatives');
%fields = {'gx', 'gy', 'gxx', 'gxy', 'gyx', 'gyy'};
fields = {'gy', 'gyy'};
for f=1:length(fields)
    axH = subplot(2, 1, f);
    image_h = imagesc(Indices.timeidx, fkHz, derivatives.(fields{f}));
    set(axH, 'YDir', 'normal')
    title(fields{f});
    xlabel('Time (s)');
    ylabel('Freq (kHz)');
    colorbar
end
% Show the spectrogram.
figure('Name', 'spectrogram');
imagesc(Indices.timeidx, fkHz, spectrogram);
xlabel('Time (s)');
ylabel('Freq (kHz)');
set(gca,'YDir','normal');
colormap(gray);
axH = gca;  % grab the axis

%x = TrackRidge(functionals,derivatives, 1063,97);
%x = TrackRidge(functionals,derivatives, 1195,71);
%ridge = TrackRidge(functionals,derivatives, 1367,40,0);
%ridge = TrackRidge(functionals,derivatives, 250,34,1);

% Plot the ridge.
hold on;
%plot( ridge(:,1), ridge(:,2), 'r', 'LineWidth', 2);

%ridge = TrackRidge(functionals,derivatives, 836,89,0);
%plot( ridge(:,1), ridge(:,2), 'g', 'LineWidth', 2);

%This is not a ridge.
%ridge = TrackRidge(functionals,derivatives, 561,243,0);
%plot( ridge(:,1), ridge(:,2), 'c', 'LineWidth', 2);

fprintf('Ridges will be tracked from points selected with mouse\n')
fprintf('Click to the left of the axis (but in the figure to stop\n');
fprintf('Note that zoom/pan and other Matlab functionality is not\n');
fprintf('possible during this process.\n');
% Let user specify points until they click to the left of the figure
x = 1;  % prime loop
while x > 0
    [x,y] = ginput(1);  % User pick
    ridge = TrackRidge(functionals, derivatives, x, y,1);
    plot(ridge(:,1), ridge(:, 2), 'LineWidth', 2);
end

